Skip to content

Confirm or reject a pending booking

POST
/appointments/bookings/{booking_uid}/confirm

Confirm or reject a booking that requires host approval.

When confirmed=True the booking moves from pending to accepted and confirmation emails are sent. When confirmed=False the booking is rejected and the attendee is notified with the optional reason. Backed by BookingsHandler.handle_confirm; raises 404 when the booking uid is not visible to the caller, 403 on permission.

Authorizations

Parameters

Path Parameters

booking_uid
required

Booking UID (uuid string).

string

Booking UID (uuid string).

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

object
confirmed
required
boolean
reason
Any of:
string

Responses

200

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string